'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _schemes = require('./schemes');

Object.keys(_schemes).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _schemes[key];
    }
  });
});

var _nodeBits = require('node-bits');

var _util = require('./util');

var DEFAULT_CONFIG = {
  authorizeUrl: '/api/authorize',
  expiresIn: '1d'
};

exports.default = function (options) {
  var config = Object.assign(DEFAULT_CONFIG, options);

  return {
    beforeConfigureRoutes: function beforeConfigureRoutes(args) {
      var router = args.router,
          database = args.database;


      router[_nodeBits.POST](config.authorizeUrl, (0, _util.authorize)(config, database));
      router.use((0, _util.secureRoutes)(config, database));
    }
  };
};

// export schemes